// node modules
import { createUseStyles } from 'react-jss'

// local files
import { Theme } from "../../../theme";

export const useStyles = createUseStyles({
    root: {
        minWidth: 150,
        height: 56,
        borderRadius: '2em',
        background: ({ theme: { palette } }: Theme) => palette.primary,
        color: ({ theme: { palette } }) => palette.light,

        '&:active': {
            color: ({ theme: { palette } }) => palette.black,
            background: ({ theme: { palette } }: Theme) => palette.light_gray,
        }
    }
})