// node modules
import React, { FC } from 'react';

// local components
import { SimpleButton } from '../simple_button';

// local files
import { useStyles } from './styles';
import { theming } from "../../../theme";

export interface SelectButtonProps {
    label: string;
    selected?: boolean;
    className?: string;
    disabled?: boolean;
    onClick?: () => any;
}

export const SelectButton: FC<SelectButtonProps> = ({
    className,
    selected = false,
    ...otherProps
}) => {
    const { root, rootSelected } = useStyles({ theme: theming.useTheme() });
    const selectedClass =  selected ? rootSelected : '';
    const selectBtnClass = `${root} ${selectedClass} ${className}`;

    return <SimpleButton className={selectBtnClass} {...otherProps} />
}