// node modules
import { createUseStyles } from "react-jss";

// local files
import { Theme } from "../../../theme";

const selectedClass = {
    background: ({ theme: { palette } }: Theme) => palette.primary,
    color: ({ theme: { palette } }: Theme) => palette.light
}

export const useStyles = createUseStyles({
    root: {
        height: 60,
        borderRadius: '.5rem',
        background: ({ theme: { palette } }) => palette.light,
        color: ({ theme: { palette } }) => palette.black,

        '&:active': {
            ...selectedClass
        }
    },
    rootSelected: {
        ...selectedClass
    }
})