// node modules
import { createUseStyles } from "react-jss";

// local files
import {
    labelClassName,
    labelWrapperRoot,
    inputSelectCommonStylesProps,
    activeLabelClassName,
    disabled,
    errorClass
} from "../../theme/common";
import { alignment } from "../../theme/alignment";

export const useStyles = createUseStyles({
    root: {
       ...labelWrapperRoot,
        display: 'flex',
        paddingRight: 16
    },
    input: {
        ...inputSelectCommonStylesProps,
        width: '100%'
    },
    inputAdorned: {
        left: '30px !important'
    },
    inputAdornedActive: {
        left: '32px !important'
    },
    unlabeled: {
        padding: '12px 0 12px .75rem'
    },
    labelClass: {
        ...labelClassName
    },
    active: {
        ...activeLabelClassName
    },
    disabledClass: {
        ...disabled
    },
    errorClass: {
        ...errorClass
    },
    typeWrapper: {
        ...alignment.center,
        paddingLeft: 11
    },
    typeWrapperStart: {
        ...alignment.center,
        paddingRight: 11
    },
    clearIconClass: {
        cursor: 'pointer',
        paddingLeft: 11
    }
});
