// node modules
import { createUseStyles } from "react-jss";

// local files
import { Theme } from '../../theme';
import { alignment } from "../../theme/alignment";
import {
    labelClassName,
    labelWrapperRoot,
    inputSelectCommonStylesProps,
    activeLabelClassName,
    disabled,
    errorClass
} from "../../theme/common";


export const useStyles = createUseStyles({
    root: {
        ...labelWrapperRoot,
        height: 45,
    },
    labelClass: {
        ...labelClassName
    },
    selectClass: {
        ...inputSelectCommonStylesProps,
        color: 'transparent',
        transition: 'color .5s ease-out .2s',
        paddingRight: 30
    },
    active: {
        ...activeLabelClassName
    },
    activeSelect: {
        color: ({ theme: { palette } } :Theme) => palette.black
    },
    arrowWrapper: {
        ...alignment.center,
        position: 'absolute',
        right: 4,
        height: 23,
        width: 30,
        top: '50%',
        transform: 'translate(0, -50%)',
        zIndex: -1
    },
    disabledClass: {
        ...disabled
    },
    errorClass: {
        ...errorClass
    }
})
