// node modules
import React from "react";
import { Meta, Story } from "@storybook/react";

// local components
import { SimpleButton, SimpleButtonProps } from "../components/buttons/simple_button";
import { PrimaryButton, PrimaryButtonProps } from "../components/buttons/primary_button";
import { SelectButton, SelectButtonProps } from "../components/buttons/select_button";
import { CheckButton, CheckButtonProps } from "../components/buttons/check_button";

export default {
    title: 'Example/Buttons',
    argTypes: {
        textTransform: {
            control: {
                type: 'select',
                options: ['none', 'capitalize','uppercase', 'lowercase']
            }
        }
    }
} as Meta;

const SimpleButtonTpl: Story<SimpleButtonProps> = (args) => <SimpleButton {...args} />;

export const simple_btn = SimpleButtonTpl.bind({});

simple_btn.args = {
    label: 'Simple Button'
}

const PrimaryButtonTpl: Story<PrimaryButtonProps> = (args) => <PrimaryButton {...args} />;

export const primary_btn = PrimaryButtonTpl.bind({});

primary_btn.args = {
    label: 'Primary Button',
    disabled: false
}

const SelectButtonTpl: Story<SelectButtonProps> = (args) => <SelectButton {...args} />;

export const select_btn = SelectButtonTpl.bind({});

select_btn.args = {
    label: 'Select Button',
    selected: false,
    disabled: false
}

const CheckButtonTpl: Story<CheckButtonProps> = (args) => <CheckButton {...args} />;

export const check_btn = CheckButtonTpl.bind({});

check_btn.args = {
    label: 'Select Button',
    selected: false,
    disabled: false
}