// node modules
import React from "react";
import { Meta, Story } from "@storybook/react";

// local components
import { Tab, TabProps } from "../components/tab";

export default {
    title: 'Example/Tab',
} as Meta;

const TabTpl: Story<TabProps> = (args) => <Tab {...args} />;

export const tab = TabTpl.bind({});

tab.args = {
    list: [
        {
            title: 'Tab 1',
            Content: (props) => <div {...props} >Tab 1</div>
        },
        {
            title: 'Tab 2',
            Content: (props) => <div {...props} >Tab 2</div>
        },
        {
            title: 'Tab 3',
            Content: (props) => <div {...props} >Tab 3</div>
        },
        {
            title: 'Tab 4',
            Content: (props) => <div {...props} >Tab 4</div>
        }
    ],
    activeTab: 1,
    width: 400
}
